#
# spec file for package kColorPicker
#
# Copyright (c) 2022 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define sover   0
%define libname libkColorPicker%{sover}
Name:           kColorPicker
Version:        0.2.0
Release:        1.5
Summary:        Qt based Color Picker with popup menu
License:        GPL-2.0-or-later
Group:          Development/Tools/Other
URL:            https://github.com/DamirPorobic/kColorPicker
Source:         https://github.com/DamirPorobic/kColorPicker/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Widgets)

%description
QToolButton with color popup menu with lets you select a color. The popup
featues a color dialog button which can be used to add custom colors to the
popup menu.

%package -n %{libname}
Summary:        Qt based Color Picker with popup menu
Group:          System/Libraries

%description -n %{libname}
QToolButton with color popup menu with lets you select a color. The popup
featues a color dialog button which can be used to add custom colors to the
popup menu.

%package devel
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{libname} = %{version}

%description devel
Development files for %{name} including headers and libraries

%prep
%setup -q

%build
%cmake
%make_jobs

%install
%cmake_install

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -n %{libname}
%license LICENSE
%{_libdir}/lib%{name}.so.*

%files devel
%doc README.md
%{_libdir}/lib%{name}.so
%{_libdir}/cmake/%{name}
%{_includedir}/%{name}

%changelog
* Mon May 23 2022 Martin Hauke <mardnh@gmx.de>
- Update to 0.2.0
  * Add option to show alpha channel and reset color selection
* Sat Jun  5 2021 Martin Hauke <mardnh@gmx.de>
- Update to 0.1.1
  * Fix popup menu out of screen
* Sat Mar 13 2021 ecsos <ecsos@opensuse.org>
- Update to 0.1.5
  * Fix tests
- Change sover from 0_1_4 to 0 because of rpmlint error.
* Fri Jun 19 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.1.4
  * Fix scaling for versions above qt59
- Remove SOURCE2 since file LICENSE is now included in the tarball
* Wed Feb 26 2020 Martin Hauke <mardnh@gmx.de>
- Update to version 0.1.1
  * Fix scaling issue with hidpi
* Sun Dec 29 2019 Martin Hauke <mardnh@gmx.de>
- Package stable release, version 0.1.0
- Add license file
* Thu Jun  6 2019 Андрей Алыпов <and.november@opensuse.org>
- initial package (version 0.0.1) for openSUSE
